Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78846 - rpcclient not reading username/password from authfile
Summary: rpcclient not reading username/password from authfile
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-02 00:39 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-08 20:41:18 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-02 00:39:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
rpcclient (samba-2.2.7-2) ignores username/password specified in authfile (-A)
and uses the string '?_' for the username/password when connected to samba server.

Version-Release number of selected component (if applicable):
samba-2.2.7-2

How reproducible:
Always

Steps to Reproduce:
1. Create authfile:
 username=root
 password=xxxxxxx

2. Issue rpcclient command:
rpcclient zurg -d 1 -A /tmp/fileyHWylr -c "getdriverdir \"Windows NT x86\""

3. Review samba log file.

Actual Results:

/tmp/fileyHWylr
---------------
username=root
password=xxxxxxx

$ rpcclient zurg -d 1 -A /tmp/fileyHWylr -c "getdriverdir \"Windows NT x86\""
failed session setup
Cannot connect to server.  Error was NT_STATUS_LOGON_FAILURE

/var/log/samba/zurg.log
-----------------------
[2002/11/30 10:40:29, 1] smbd/password.c:pass_check_smb(545)
  Couldn't find user '?_' in passdb.
[2002/11/30 10:40:29, 2] smbd/reply.c:reply_sesssetup_and_X(975)
  NT Password did not match for user '?_'!
[2002/11/30 10:40:29, 2] smbd/reply.c:reply_sesssetup_and_X(985)
  Defaulting to Lanman password for ?_
[2002/11/30 10:40:29, 1] smbd/password.c:pass_check_smb(545)
  Couldn't find user '?_' in passdb.
[2002/11/30 10:40:29, 1] smbd/reply.c:reply_sesssetup_and_X(1001)
  Rejecting user '?_': authentication failed
[2002/11/30 10:40:29, 2] smbd/server.c:exit_server(461)
  Closing connections


Expected Results:

$ rpcclient zurg -d 1 -A /tmp/fileyHWylr -c "getdriverdir \"Windows NT x86\""
cmd = getdriverdir "Windows NT x86"
getdriverdir "Windows NT x86"
        Directory Name:[\\zurg\print$\W32X86]


Additional info:

Use the username/password from authfile with -U (samba-2.2.7-2).

$ rpcclient zurg -d 1 -U root%xxxxxx -c "getdriverdir \"Windows NT x86\""
cmd = getdriverdir "Windows NT x86"
        Directory Name:[\\zurg\print$\W32X86]

Use authfile (-A) with samba-2.2.3a-4

$ rpcclient zurg -d 1 -A /tmp/fileyHWylr -c "getdriverdir \"Windows NT x86\""
cmd = getdriverdir "Windows NT x86"
getdriverdir "Windows NT x86"
        Directory Name:[\\zurg\print$\W32X86]

Comment 1 Jay Fenlason 2003-04-08 20:41:18 UTC
WORKSFORME with samba-2.2.7-5.8.0 and 2.2.7-2 on my 8.0 box.  The command I used is
rpcclient frostbite -d 1 -A /tmp/a -c 'getdriverdir "Windows NT x86"'
and /tmp/a contains

username = samba1
password = samba1




Note You need to log in before you can comment on or make changes to this bug.